Stay compatible to older Perl5 releases (see diff -r1.11 -r1.12).